Subject: Re: bug#11013: gnus-use-full-window incompletely implemented

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Thu, 22 Mar 2012 22:42:32 +0100

Sam Steingold <[email-masked]> writes:

>> I think I've fixed this now in No Gnus.
>
> good!
> gnus-version
> ==> "Gnus v5.13"
> which one is that?
>
> emacs-version
> "24.0.94.4"

For all intensive purposes, No Gnus is 5.13.

> I was wrong, sorry. The buffer is there, but it is not displayed.
>
> Here is what happens.
> I have a maximized emacs frame.
> I split it side-by-side (C-x 3).
> I make the left window show *Summary group1*
> and the right window show *Summary group2*.
> I hit RET in the left window.
>
> EXPECTED behavior: left window is split below (like C-x 2) and the
> *Article group1* is shown below the *Summary group1*. The right window
> still shows *Summary group2*.
>
> ACTUAL behavior: *Summary group2* disappears and the whole frame is
> hijacked by *Summary group1* and *Article group1*.

I see.  Looking at the code, that does seem to be almost the intended
outcome.

The `gnus-use-full-window' logic is "leave non-Gnus buffers be, but use
the Gnus buffers as normal".  That is, it computes the area of the Gnus
windows, and then arranges the buffers inside that area, instead of the
default, which is to use the entire frame.

So Gnus just doesn't support having two summary/article buffer pairs
side by side in a frame.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/